%define pypi_name doc8

Summary:        Style checker for Sphinx (or other) RST documentation
Name:           python-doc8
Version:        1.1.1
Release:        2%{?dist}
License:        Apache-2.0
URL:            https://github.com/pycqa/doc8
Source0:        %{pypi_source}
BuildArch:      noarch

%description
doc8 is an opinionated style checker for rst (with basic support for plain text) styles of documentation.

%package -n python3-doc8
Summary:        Style checker for Sphinx (or other) RST documentation

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pbr python3-pip python3-wheel python3-toml
BuildRequires:  python3-chardet python3-docutils python3-six
BuildRequires:  python3-stevedore python3-pygments
BuildRequires:  python3-testtools python3-mock python3-pytest
BuildRequires:  python3-restructuredtext-lint python3-tomli

Requires:       python3-testtools python3-chardet python3-docutils
Requires:       python3-restructuredtext-lint python3-six
Requires:       python3-stevedore python3-pygments

Provides:       python-doc8

%description -n python3-doc8
doc8 is an opinionated style checker for rst (with basic support for plain text) styles of documentation.

%prep
%autosetup -n doc8-%{version}
%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files doc8

%check
pytest

%files -n python3-doc8
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%{_bindir}/doc8


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.1-1
- Upgrade to 1.1.1

* Wed Sep 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.11.2-5
- add buildrequires for py311.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.11.2-1
- revert to 0.11.2

* Tue Apr 18 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.1.1-1
- initial build
